@import url('https://fonts.googleapis.com/css2?family=New+Rocker&display=swap');

* {
  padding: 0; margin: 0;
  box-sizing: border-box;
  font-family: 'New Rocker', cursive;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: linear-gradient(
    to top right,
    #7321b2,
    #d23d23
  );
  width: 100vw;
  height: 100vh;
}

main {
  position: relative;
  width: 1000px;
  height: 40vh;
  background-color: #00000099;
  border-radius: 10px;
}

.rounds {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 24px;
  gap: 1rem;
  font-size: 36px;
  color: #fff;
}

h1 {
  width: 100%;
  text-align: center;
  font-size: 18px;
  color:#d3d3d3;
  transition: .3s ease-in-out;
}

.options {
  margin: 24px;
  display: flex;
  justify-content: center;
  gap: 2rem;
}

.element {
  cursor: pointer;
  height: 120px;
  aspect-ratio: 1/1;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #ffffff99;
  border-radius: 50%;
  border: none;
  transition: .3s ease-in-out;
}

.element img{
  height: 100%;
  padding: 10px;
  transition: .3s ease-in-out;
}

.element:hover img,
.element:focus-visible img {
  scale: .8;
}

.element:hover,
.element:focus-visible {
  background-color: transparent;
  outline: 1px solid #fff;
}

.war {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: auto;
  position: relative;
  width: 100%;
  display: none;
}

#computer {
 transform: rotateY(180deg);
}

.chosen, .computer {
  height: 200px;
  transition: .3s ease-in-out;
  pointer-events: none;
}

.chosen.active {
transform: translateX(140px);
}

.computer.active {
  transform: translateX(-140px);
}

.checkRound {
  opacity: .1;
}

.win, .loss, .tied {
  position: absolute;
  display: none;
  font-size: 60px;
  color: #fff;
}

.results {
  display: flex;
  justify-content: space-around;
  position: absolute;
  color: #fff;
  left: 0; bottom: 0;
  width: 100%;
  margin: 24px;
}

#restart {
  padding: 20px 15px;
  margin: 24px;
  border-radius: 20px;
  border: none;
  cursor: pointer;
  transition: .3s ease-in-out;
  background-color: #fff;
  text-decoration: none;
  color: #000;
}

#restart:hover {
  opacity: .5;
}

